# ColorTint
![ColorTint Banner](assets/github_social_card.png)
## About
ColorTint is a Gnome extension that draws a translucent coloured overlay over your desktop. This is to help people with dyslexia, visual stress, scopic sensitivity, and related conditions.

**Coming soon:** [KolorTint](https://github.com/MattByName/kolor-tint), a color overlay for KDE Plasma

[![ko-fi](https://ko-fi.com/img/githubbutton_sm.svg)](https://ko-fi.com/E1E1CFXTK)

### Links
* [GitHub Repository](https://github.com/MattByName/color-tint)
* [Gnome Extensions Page](https://extensions.gnome.org/extension/1789/colortint/)
* [GitHub Releases](https://github.com/MattByName/color-tint/releases)

## Installation
The easiest way to install is using the Gnome Extensions website. You can find ColorTint [here](https://extensions.gnome.org/extension/1789/colortint/)

You can also install ColorTint manually by downloading the [latest release](https://github.com/MattByName/color-tint/releases) and unzipping it into the Gnome extensions folder on your desktop. You can find a guide on how to do that [here](https://www.ubuntubuzz.com/2017/11/how-to-install-manually-gnome-shell-extension.html)


## Support for GNOME versions
I attempt to maintain backwards compatibility, but if an upgrade breaks support for a release that has reached end of life, I will update the table below to show which version of ColorTint was last varified to work with it.
| GNOME Version | ColorTint Version                                                      | GNOME Extensions Site Version |
|:--------------|:-----------------------------------------------------------------------|:------------------------------|
| 42            | [latest](https://github.com/MattByName/color-tint/releases/latest)     | 12                            |
| 41            | [latest](https://github.com/MattByName/color-tint/releases/latest)     | 12                            |
| 40            | [latest](https://github.com/MattByName/color-tint/releases/latest)     | 12                            |
| 3.38          | [latest](https://github.com/MattByName/color-tint/releases/latest)     | 12                            |
| 3.36          | [latest](https://github.com/MattByName/color-tint/releases/latest)     | 12                            |
| 3.34          | [v1.1.1](https://github.com/MattByName/color-tint/releases/tag/v1.1.1) | 4                             |
| 3.32          | [v1.1.1](https://github.com/MattByName/color-tint/releases/tag/v1.1.1) | 4                             |

## Features
* Set any colour using RGB sliders
* Custom translucency through alpha slider
* ColorTint remembers your chosen color, automatically saving it when you change it, and loading on launch
* The tint is off by default. Click the colortint icon and toggle "Tint" to enable.
* Supports multiple monitor setup

## Contributing
Please do contribute if you want to change something or help out with one of the issues.

## Support, Feature Requests and Bug Reports

Please [raise an issue](https://github.com/MattByName/color-tint/issues/new) or raise a pull request. Alternatively, you can contact me via matrix at [@mattbyname:matrix.org](https://matrix.to/#/@mattbyname:matrix.org)

